BSD-FAQ-it
Indietro | Capitolo 9. Bind | Avanti

# 9.2. FreeBSD e Bind

Anche FreeBSD, come molti altri sistemi operativi conformi alle specifiche UNIX®, include una versione integrata di Bind, ad oggi FreeBSD 4.9-STABLE viene fornito con la STABLE-release 8.3.6-REL, questa versione naturalmente include tutte le patches relative alla sicurezza, inoltre Bind viene automaticamente ricompilato ogni tal volta si esegue la rebuild del sistema operativo. Per ricavare il tipo di versione utilizzata di Bind è sufficente interrogare il file /var/log/messages che viene generato dal syslog di sistema oppure si può anche utilizzare il comando dig

    # dig @localhost version.bind txt chaos

nella directory /etc/namedb troviamo tutti i files necessari alla configurazione di Bind

    # ls /etc/namedb/
    drwxr-xr-x   3 root  wheel   512 Aug 25 17:41 ./
    drwxr-xr-x  16 root  wheel  2048 Aug  3 12:01 ../
    -rw-r--r--   1 root  wheel   479 Jun  9 15:00 localhost.rev
    -rw-r--r--   1 root  wheel  1032 Apr  3 10:55 make-localhost
    -rw-r--r--   1 root  wheel   749 Jun  9 15:05 named.conf
    -rw-r--r--   1 root  wheel  2583 Apr  3 10:55 named.root
    -rw-r--r--   1 root  wheel  2583 Aug 25 10:55 named.root.new
    -rw-r--r--   1 root  wheel   750 Apr  3 10:55 miodominio.org
    -rw-r--r--   1 root  wheel   750 Apr  3 10.55 db.miodominio.org
    drwxr-x---   2 bind  bind    512 Aug 21 22:24 s/

Prima di procedere con alcuni esempi e cercare di spiegare al lettore come configurare un server Bind è necessario distinguere alcuni tipi di Name Server, nel nostro caso utilizzeremo dei Name Server autoritativi, tra i quali possiamo elencare tre fra le tipologie più importanti:

1. il Master Name Server che è il server ufficiale per i record di zona, i dati vengono salvati nei files di configurazione, nel passato questo tipo di server prendeva anche il nome di Primary Name Server

2. lo Slave Name Server è un server autoritativo per la propria zona che però ottiene i record della zona principale direttamente da un Master Name Server, anche in questo caso i dati vengono salvati nei files di configurazione, nel passato questo tipo di server prendeva anche il nome di Secondary Name Server

3. il Caching-Only Name Server che ottiene le informazioni direttamente dagli altri Name Servers e le memorizza nella sua cache, questo tipo di Name Server viene utilizzato per rispondere a successive interrogazioni senza delegare agli altri sistemi sulla rete internet

ora possiamo analizzare dettagliatamente file principali che consentono di configurare Bind per divenire un Master Name Server e uno Slave Name Server

Indietro | Partenza | Avanti
Bind | Risali | named.conf (il file principale di configurazione)